# Delete template draft for project

Delete a template draft.
      
      Please note that it is only possible to delete templates that have not yet been submitted to KakaoTalk.

Endpoint: DELETE /v1/projects/{projectId}/kakaotalk/senders/{plusFriendId}/templates/{templateCode}/changes
Version: 1.2.91
Security: BasicAuth, BearerAuth, OAuth2Production

## Security:

  - `BasicAuth` (unknown)
    http basic

  - `BearerAuth` (unknown)
    http bearer JWT

  - `OAuth2Production` (unknown)
    oauth2

## Path parameters:

  - `projectId` (string, required)
    The unique ID of the project. You can find this on the <a href="https://dashboard.sinch.com/">Sinch Dashboard</a>.

  - `plusFriendId` (string, required)
    The unique ID of the sender.

  - `templateCode` (string, required)
    The unique name of the template.

## Response 204:

  - `204` (unknown)
    Template draft deleted

## Response 400:

  - `400` (unknown)
    BadRequest

## Response 400 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: project_not_initialized

  - `message` (string)
    Human readable message.
    Example: Project not initialized for KakaoTalk.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Verify that the project ID is correct and that it has been onboarded for KakaoTalk.

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: unauthorized_error

  - `message` (string)
    Human readable message.
    Example: Unauthorized error.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Verify that projectId is correct.

## Response 404:

  - `404` (unknown)
    NotFound

## Response 404 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: template_not_found

  - `message` (string)
    Human readable message.
    Example: Template not found.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Verify that the parameters are correct.

## Response 409:

  - `409` (unknown)
    Conflict

## Response 409 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: template_not_deletable

  - `message` (string)
    Human readable message.
    Example: Template is not deletable.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Only templates that has not yet been submitted to KakaoTalk is eligible for deletion.

## Response 500:

  - `500` (unknown)
    InternalServerError

## Response 500 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: internal_error

  - `message` (string)
    Human readable message.
    Example: Internal server error.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Please wait and try again, if the error persist please contact support.

